xine-lib: xine-lib-1.2.12/src/demuxers/demux_roq.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Functions
demux_roq.c File Reference
`#include <stdio.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`
`#include <xine/compat.h>`
`#include <xine/demux.h>`
`#include "bswap.h"`
`#include "group_games.h"`

## Data Structures
struct | demux_roq_t

## Macros
#define | LOG_MODULE "demux_roq"
#define | LOG_VERBOSE
#define | RoQ_CHUNK_PREAMBLE_SIZE 8
#define | RoQ_AUDIO_SAMPLE_RATE 22050
#define | RoQ_INFO 0x1001
#define | RoQ_QUAD_CODEBOOK 0x1002
#define | RoQ_QUAD_VQ 0x1011
#define | RoQ_SOUND_MONO 0x1020
#define | RoQ_SOUND_STEREO 0x1021

## Functions
static int | open_roq_file (demux_roq_t *this)
static int | demux_roq_send_chunk (demux_plugin_t *this_gen)
static void | demux_roq_send_headers (demux_plugin_t *this_gen)
static int | demux_roq_seek (demux_plugin_t *this_gen, off_t start_pos, int start_time, int playing)
static int | demux_roq_get_status (demux_plugin_t *this_gen)
static int | demux_roq_get_stream_length (demux_plugin_t *this_gen)
static uint32_t | demux_roq_get_capabilities (demux_plugin_t *this_gen)
static int | demux_roq_get_optional_data (demux_plugin_t *this_gen, void *data, int data_type)
static demux_plugin_t * | open_plugin (demux_class_t *class_gen, xine_stream_t *stream, input_plugin_t *input)
void * | demux_roq_init_plugin (xine_t *xine, const void *data)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "demux_roq"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## ◆ RoQ_AUDIO_SAMPLE_RATE

#define RoQ_AUDIO_SAMPLE_RATE 22050

## ◆ RoQ_CHUNK_PREAMBLE_SIZE

#define RoQ_CHUNK_PREAMBLE_SIZE 8

## ◆ RoQ_INFO

#define RoQ_INFO 0x1001

## ◆ RoQ_QUAD_CODEBOOK

#define RoQ_QUAD_CODEBOOK 0x1002

## ◆ RoQ_QUAD_VQ

#define RoQ_QUAD_VQ 0x1011

## ◆ RoQ_SOUND_MONO

#define RoQ_SOUND_MONO 0x1020

## ◆ RoQ_SOUND_STEREO

#define RoQ_SOUND_STEREO 0x1021

## Function Documentation

## ◆ demux_roq_get_capabilities()

static uint32_t demux_roq_get_capabilities | ( | demux_plugin_t * | this_gen | ) |
| static

References DEMUX_CAP_NOCAP.

Referenced by open_plugin().

## ◆ demux_roq_get_optional_data()

static int demux_roq_get_optional_data | ( | demux_plugin_t * | this_gen,
|  | void * | data,
|  | int | data_type
| ) |  |
| static

References DEMUX_OPTIONAL_UNSUPPORTED.

Referenced by open_plugin().

## ◆ demux_roq_get_status()

static int demux_roq_get_status | ( | demux_plugin_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ demux_roq_get_stream_length()

static int demux_roq_get_stream_length | ( | demux_plugin_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ demux_roq_init_plugin()

void * demux_roq_init_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References N_, NULL, open_plugin(), and demux_class_s::open_plugin.

## ◆ demux_roq_seek()

static int demux_roq_seek | ( | demux_plugin_t * | this_gen,
|  | off_t | start_pos,
|  | int | start_time,
|  | int | playing
| ) |  |
| static

References _x_demux_control_newpts(), DEMUX_OK, input(), and RoQ_CHUNK_PREAMBLE_SIZE.

Referenced by open_plugin().

## ◆ demux_roq_send_chunk()

static int demux_roq_send_chunk | ( | demux_plugin_t * | this_gen | ) |
| static

References _X_LE_16, _X_LE_32, BUF_AUDIO_ROQ, BUF_FLAG_FRAME_END, BUF_VIDEO_ROQ, buf_element_s::content, buf_element_s::decoder_flags, DEMUX_FINISHED, buf_element_s::extra_info, buf_element_s::free_buffer, input(), extra_info_s::input_normpos, lprintf, buf_element_s::max_size, NULL, buf_element_s::pts, RoQ_AUDIO_SAMPLE_RATE, RoQ_CHUNK_PREAMBLE_SIZE, RoQ_INFO, RoQ_QUAD_CODEBOOK, RoQ_QUAD_VQ, RoQ_SOUND_MONO, RoQ_SOUND_STEREO, buf_element_s::size, and buf_element_s::type.

Referenced by open_plugin().

## ◆ demux_roq_send_headers()

static void demux_roq_send_headers | ( | demux_plugin_t * | this_gen | ) |
| static

References _x_demux_control_start(), _x_stream_info_set(), BUF_AUDIO_ROQ, BUF_FLAG_FRAME_END, BUF_FLAG_FRAMERATE, BUF_FLAG_HEADER, BUF_FLAG_STDHEADER, BUF_VIDEO_ROQ, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::decoder_info, DEMUX_OK, RoQ_AUDIO_SAMPLE_RATE, buf_element_s::size, buf_element_s::type, XINE_STREAM_INFO_AUDIO_BITS, XINE_STREAM_INFO_AUDIO_CHANNELS, XINE_STREAM_INFO_AUDIO_SAMPLERATE, XINE_STREAM_INFO_HAS_AUDIO, XINE_STREAM_INFO_HAS_VIDEO, XINE_STREAM_INFO_VIDEO_HEIGHT, and XINE_STREAM_INFO_VIDEO_WIDTH.

Referenced by open_plugin().

## ◆ open_plugin()

static demux_plugin_t * open_plugin | ( | demux_class_t * | class_gen,
|  | xine_stream_t * | stream,
|  | input_plugin_t * | input
| ) |  |
| static

References xine_stream_s::content_detection_method, default_demux_plugin_dispose, DEMUX_FINISHED, demux_roq_get_capabilities(), demux_roq_get_optional_data(), demux_roq_get_status(), demux_roq_get_stream_length(), demux_roq_seek(), demux_roq_send_chunk(), demux_roq_send_headers(), input(), INPUT_IS_SEEKABLE, METHOD_BY_CONTENT, METHOD_BY_MRL, METHOD_EXPLICIT, NULL, open_roq_file(), xine_stream_s::xine, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by demux_roq_init_plugin().

## ◆ open_roq_file()

static int open_roq_file | ( | demux_roq_t * | this | ) |
| static

References _X_LE_16, _X_LE_32, input(), RoQ_CHUNK_PREAMBLE_SIZE, RoQ_INFO, RoQ_SOUND_MONO, and RoQ_SOUND_STEREO.

Referenced by open_plugin().